<?php // Do not delete these lines
  if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

  // if there's a password
  if (post_password_required()) 
  { 
?>
	<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?><p>
<?php
	return;
  }

  // This variable is for alternating comment background
  $oddcomment = 'alt';
?>

  <a id="comments"></a>
  <!-- 
    You can start editing here. 
	-->
  <div id="respond">
<?php if (have_comments()) { ?>
	<div class="comments-title">
	  <h2><img src="<?php bloginfo('stylesheet_directory'); ?>/titles.php?letters=Trackbacks / Comments" alt="Trackbacks / Comments" /></h2>
	</div>
      <!--
	    T R A C K B A C K S   /   P I N G B A C K S 
	    -->
  <?php $post_count = 0; ?>
  <?php if ($comment->comment_type == "trackback" || $comment->comment_type == "pingback" || 
			ereg("<pingback />", $comment->comment_content) || 
			ereg("<trackback />", $comment->comment_content)) { $post_count++; ?>
			
	<div class="comments trackback">
	  <ul class="commentlist">
		<?php wp_list_comments('type=trackback'); ?>
	  </ul>
	</div>
	
	<div class="navigation">
	  <div class="alignleft"><?php previous_comments_link() ?></div>
	  <div class="alignright"><?php next_comments_link() ?></div>
	</div>
  <? } ?>
  <?php $post_count = 0; ?>
	 
	 
  <!--
    C O M M E N T S
	-->
  <? if ($comment->comment_type != "trackback" && $comment->comment_type != "pingback" && 
	       !ereg("<pingback />", $comment->comment_content) && 
		   !ereg("<trackback />", $comment->comment_content)) { $post_count++; ?>	
		   	  
	<div class="comments comment">
	  <ul class="commentlist">
		<?php wp_list_comments('type=comment'); ?>
      </ul>
	</div>
  <?php } ?>
  <?php $post_count = 0; ?>
<?php } else { ?>

	
  <!-- 
    If comments are open, but there are no comments. 
    -->
  <?php if ('open' == $post->comment_status) { ?> 
  <?php } else { ?>
  <div class="comments comment">
	<div class="top"></div>
	<div class="middle">
      <p>Comments are closed. Please check back later.</p>
	</div> <!-- end .comments-middle //-->
	<div class="bottom"></div>
  </div> <!-- end .comment //-->
  <?php } ?>
<?php } ?>


<?php if ('open' == $post->comment_status) { ?>
  <div class="comments comment">
    <div class="top"></div>
	<div class="middle">
  <?php if (get_option('comment_registration')) { ?>
    <h4>
	  <!--
	    Comment registration is required, and they are logged in
		-->
      Post a Comment&nbsp;
    <?php if ($user_ID) { ?>
      (logged in as 
      <a href="<?php bloginfo('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> - <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account?">Logout?</a>)
	<?php } else if (!$user_ID) { ?>
      (you must 
	  <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"
		    title="Login">login</a> before replying)
    <?php } ?>
	</h4>
  <?php } ?> <!-- end get_option() //-->
	

  <!--
	Comment registration is required and they are logged in
	-->
  <?php if (get_option('comment_registration') && $user_ID) { ?>

    <br />
      
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
      <div class="comments-post">
		<div class="comments-textarea">
          <textarea name="comment" id="comment" cols="45" rows="10" tabindex="1"></textarea>
		</div> <!-- end .comments-textarea //-->

        <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />

        <?php comment_id_fields(); ?>
		  
        <?php do_action('comment_form', $post->ID); ?>
	  </div> <!-- end .comments-post //-->
          
	  <div class="comments-bottom">
        <input type="submit" name="submit" id="submit" value=" Submit Comment " />
      </div>
	  
	  <div class="spacer">&nbsp;</div>
	</form>
	
  <!--
	Comment registration not required
	-->
  <?php } else if (!get_option('comment_registration')) { ?>
	<div class="comments-title">
	  <h3><img src="<?php bloginfo('stylesheet_directory'); ?>/titles.php?letters=<?php comment_form_title('Leave a Reply', 'Leave a Reply to %s'); ?>" alt="" /></h3>
	</div>
	
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	  <div class="comments-post">
	    <!--
	      No id? Provide some please...
		  -->
	<?php if (!$user_ID) { ?>
	    <div class="comments-inputs">
		  <label><?php wp_loginout(); ?></label>
		  <span>OR REPLY BELOW ... </span><br /><br />
	      <label for="author">Name:</label>
	      <input type="text" name="author" id="author" value="" class="text" tabindex="1" /><br />
	      <label for="email">Email:</label>
	      <input type="text" name="email" id="email" value="" class="text" tabindex="2" /><br />
	      <label for="url">Website:</label>
	      <input type="text" name="url" id="url" value="" class="text" tabindex="3" /><br />
	    </div> <!-- end .comments-inputs //-->
            
		<br />
	<?php } else { ?>
        <h5>
          Logged in as 
		  <a href="<?php bloginfo('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account?">Logout &raquo;</a>      
        </h5>
    <?php } ?>
	
	    <div class="comments-textarea">
          <textarea name="comment" id="comment" cols="55" rows="10" tabindex="4"></textarea>
		</div> <!-- end .comments-textarea //-->

        <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />

        <?php comment_id_fields(); ?>
		  
        <?php do_action('comment_form', $post->ID); ?>
	  </div> <!-- end .comments-post //-->
          
	  <div class="comments-bottom">
        <input type="submit" name="submit" id="submit" value=" Submit Comment " />
      </div>
	</form>
	
	<div class="spacer">&nbsp;</div>
	
  <?php } ?>
    </div>
	
	<div class="bottom"></div>  
  </div> <!-- end .comments //-->
  
<!--
  if you delete this the sky will fall on your head
  -->
<?php } ?>
</div>
