<?php // Do not delete these lines
  if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

  // if there's a password
  if (!empty($post->post_password)) 
  { 
    // and it doesn't match the cookie
    if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) 
	{  
?>
	  <p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?><p>
<?php
	  return;
    }
  }

  // This variable is for alternating comment background
  $oddcomment = 'alt';
?>

  <a id="comments"></a>
  <!-- 
    You can start editing here. 
	-->
  <div id="commentsdiv">
<?php if ($comments) { ?>
      <!--
	    T R A C K B A C K S   /   P I N G B A C K S 
	    -->
  <?php $post_count = 0; ?>
  <?php foreach ($comments as $comment) : ?>
    <?php if ($comment->comment_type == "trackback" || $comment->comment_type == "pingback" || 
			ereg("<pingback />", $comment->comment_content) || 
			ereg("<trackback />", $comment->comment_content)) { $post_count++; ?>
			
      <?php if (!$runonce) { $runonce = true; ?>
	<div class="comments-title">
	  <h2><img src="<?php bloginfo('stylesheet_directory'); ?>/titles.php?letters=Trackbacks" alt="Trackbacks" /></h2>
	</div>

	<br />
      <? } ?>
	<div class="comments trackback">
	  <div class="top"></div>
	  
	  <div class="middle">
        <div class="comments-middle">
		  <div class="comments-text">
	        <span class="comments-number">Trackback <?php echo $post_count; ?></span>
		    <?php comment_text(); ?>
		  </div>
		  <div class="comment-author">
            <?php comment_author_link() ?> &#8212; <?php comment_date() ?> @ 
		    <a href="#comment-<?php comment_ID() ?>"><?php comment_time() ?></a>				
		  </div>
	    </div>
	  </div>
	  
	  <div class="bottom"></div>
	</div>
	<? } ?>
  <?php endforeach; $post_count = 0; ?>
	 
  <? if ($runonce) { ?>
    <br />
    <?php $runonce = !$runonce; ?>
  <? } ?>	 
	 
	 
  <!--
    C O M M E N T S
	-->
  <?php foreach ($comments as $comment) : ?>
    <? if ($comment->comment_type != "trackback" && $comment->comment_type != "pingback" && 
	       !ereg("<pingback />", $comment->comment_content) && 
		   !ereg("<trackback />", $comment->comment_content)) { $post_count++; ?>	
		   
      <?php if (!$runonce) { $runonce = true; ?>
	<div class="comments-title">
	  <h2><img src="<?php bloginfo('stylesheet_directory'); ?>/titles.php?letters=Comments" alt="Comments" /></h2>
	</div>
      <? } ?>
	  
	<div class="comments comment">
	  <div class="top"></div>
	  
	  <div class="middle">
	    <div class="comments-middle">
		  <div class="comments-text">
	        <span class="comments-number"><a name="comment-<?php comment_ID(); ?>"><?php echo $post_count; ?></a></span>
		    <?php comment_text(); ?>
		    <br />
	  <?php if ($comment->comment_approved == '0') { ?>
		    <p>
	          <strong>Your comment is awaiting moderation.</strong>
	        </p>
	  <?php } ?>
		  </div>
		  <div class="comment-author">
	        Posted by <?php comment_author_link(); ?>
			<?php if (function_exists("get_gravatar")) { ?>
		    <span class="comments-gravatar"><?php echo get_avatar(get_comment_author_email(), '60'); ?></span><br />
			<?php } else { ?>
			<span class="comments-gravatar">
			  <?php $grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=" . md5(get_comment_author_email()) . "&amp;default=" . urlencode($default) . "&amp;size=60"; echo "<img src='$grav_url' alt='Gravatar' />"; ?>
			</span><br />
			<?php } ?>
            <span class="comments-date"><?php comment_date('F jS, Y'); ?></span>
		  </div>
	    </div> <!-- end .comments-middle //-->
      </div>
	  
	  <div class="bottom"></div>
	</div>
	
	<div class="spacer">&nbsp;</div>
	
	<?php } ?>
  <?php endforeach; $post_count = 0; ?>
  <? if ($runonce) { ?>
    <br />
	<?php $runonce = !$runonce; ?>
  <? } ?>	 
<?php } else { ?>

	
  <!-- 
    If comments are open, but there are no comments. 
    -->
  <?php if ('open' == $post->comment_status) { ?> 
  <?php } else { ?>
  <div class="comments comment">
	<div class="top"></div>
	<div class="middle">
      <p>Comments are closed. Please check back later.</p>
	</div> <!-- end .comments-middle //-->
	<div class="bottom"></div>
  </div> <!-- end .comment //-->
  <?php } ?>
<?php } ?>


<?php if ('open' == $post->comment_status) { ?>
  <div class="comments comment">
    <div class="top"></div>
	<div class="middle">
  <?php if (get_option('comment_registration')) { ?>
    <h4>
	  <!--
	    Comment registration is required, and they are logged in
		-->
      Post a Comment&nbsp;
    <?php if ($user_ID) { ?>
      (logged in as 
      <a href="<?php bloginfo('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> - <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account?">Logout?</a>)
	<?php } else if (!$user_ID) { ?>
      (you must 
	  <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"
		    title="Login">login</a> before replying)
    <?php } ?>
	</h4>
  <?php } ?> <!-- end get_option() //-->
	

  <!--
	Comment registration is required and they are logged in
	-->
  <?php if (get_option('comment_registration') && $user_ID) { ?>

    <br />
      
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
      <div class="comments-post">
		<div class="comments-textarea">
          <textarea name="comment" id="comment" cols="45" rows="10" tabindex="1"></textarea>
		</div> <!-- end .comments-textarea //-->

        <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />

        <?php do_action('comment_form', $post->ID); ?>
	  </div> <!-- end .comments-post //-->
          
	  <div class="comments-bottom">
        <input type="submit" name="submit" id="submit" value=" Submit Comment " />
      </div>
	  
	  <div class="spacer">&nbsp;</div>
	</form>
	
  <!--
	Comment registration not required
	-->
  <?php } else if (!get_option('comment_registration')) { ?>
	<br />
    <h4>Comment on this post below</h4>
	<br />
	
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	  <div class="comments-post">
	    <!--
	      No id? Provide some please...
		  -->
	<?php if (!$user_ID) { ?>
	    <div class="comments-inputs">
		  <label><?php wp_loginout(); ?></label>
		  <span>OR REPLY BELOW ... </span><br /><br />
	      <label for="author">Name:</label>
	      <input type="text" name="author" id="author" value="" class="text" tabindex="1" /><br />
	      <label for="email">Email:</label>
	      <input type="text" name="email" id="email" value="" class="text" tabindex="2" /><br />
	      <label for="url">Website:</label>
	      <input type="text" name="url" id="url" value="" class="text" tabindex="3" /><br />
	    </div> <!-- end .comments-inputs //-->
            
		<br />
	<?php } else { ?>
        <h5>
          Logged in as 
		  <a href="<?php bloginfo('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account?">Logout &raquo;</a>      
        </h5>
    <?php } ?>
	
	    <div class="comments-textarea">
          <textarea name="comment" id="comment" cols="55" rows="10" tabindex="4"></textarea>
		</div> <!-- end .comments-textarea //-->

        <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />

        <?php do_action('comment_form', $post->ID); ?>
	  </div> <!-- end .comments-post //-->
          
	  <div class="comments-bottom">
        <input type="submit" name="submit" id="submit" value=" Submit Comment " />
      </div>
	</form>
	
	<div class="spacer">&nbsp;</div>
	
  <?php } ?>
    </div>
	
	<div class="bottom"></div>  
  </div> <!-- end .comments //-->
  
<!--
  if you delete this the sky will fall on your head
  -->
<?php } ?>
</div>
