
<?php if (!function_exists('dynamic_sidebar') || !dynamic_sidebar()) { ?>

        <div class="block">
		  <div class="block_title">
            <h3><img src="<?php bloginfo('stylesheet_directory'); ?>/sidebartitles.php?letters=<?php _e('Search'); ?>" alt="<?php _e('Search'); ?>" /></h3>
		  </div>
		  <div class="block_top"></div>
		  <div class="block_middle">
            <form method="get" id="searchform" action="<?php bloginfo('url'); ?>/">
              <input type="text" value="<?php the_search_query(); ?>" name="s" id="s" />
              <!-- <input type="submit" id="searchsubmit" value="Search" /> //-->
            </form>
		  </div>
		  <div class="block_bottom"></div>
        </div>
		
		
		<div class="block">
		  <div class="block_title">
		    <h3><img src="<?php bloginfo('stylesheet_directory'); ?>/sidebartitles.php?letters=<?php _e('Calendar'); ?>" alt="<?php _e('Calendar'); ?>" /></h3>
		  </div>
		  <div class="block_top"></div>
		  <div class="block_middle">
		    <?php get_calendar(); ?>
		  </div>
		  <div class="block_bottom"></div>
		</div>
		
 
        <div class="block">
		  <div class="block_title">
            <h3><img src="<?php bloginfo('stylesheet_directory'); ?>/sidebartitles.php?letters=<?php _e('Main Menu'); ?>" alt="<?php _e('Main Menu'); ?>" /></h3>
		  </div>
		  <div class="block_top"></div>
		  <div class="block_middle">
	        <ul>
		      <?php wp_register(); ?>
		      <li><?php wp_loginout(); ?></li>
		      <li><a href="<?php bloginfo('rss2_url'); ?>" title="<?php _e('Syndicate this site using RSS'); ?>"><?php _e('<abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
		      <li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php _e('The latest comments to all posts in RSS'); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
		      <li><a href="http://validator.w3.org/check/referer" title="<?php _e('This page validates as XHTML 1.0 Transitional'); ?>"><?php _e('Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr>'); ?></a></li>
		      <li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
		      <li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.'); ?>"><abbr title="WordPress">WP</abbr></a></li>
		      <?php wp_meta(); ?>
            </ul>
		  </div>
		  <div class="block_bottom"></div>
        </div>
          
		  
        <div class="block">
		  <div class="block_title">
            <h3><img src="<?php bloginfo('stylesheet_directory'); ?>/sidebartitles.php?letters=<?php _e('Categories'); ?>" alt="<?php _e('Categories'); ?>" /></h3>
		  </div>
		  <div class="block_top"></div>
		  <div class="block_middle">
	        <ul>
		      <?php wp_list_categories('title_li=&categorize=0'); ?>
            </ul>
		  </div>
		  <div class="block_bottom"></div>
        </div>
		
		
		<div class="block">
		  <div class="block_title">
		    <h3><img src="<?php bloginfo('stylesheet_directory'); ?>/sidebartitles.php?letters=<?php _e('Tag Cloud'); ?>" alt="<?php _e('Tag Cloud'); ?>" /></h3>
		  </div>
		  <div class="block_top"></div>
		  <div class="block_middle">
		    <p><?php wp_tag_cloud(); ?></p>
		  </div>
		  <div class="block_bottom"></div>
		</div>
          
		  
        <div class="block">
		  <div class="block_title">
            <h3><img src="<?php bloginfo('stylesheet_directory'); ?>/sidebartitles.php?letters=<?php _e('Blogroll'); ?>" alt="<?php _e('Blogroll'); ?>" /></h3>
		  </div>
		  <div class="block_top"></div>
		  <div class="block_middle">
            <ul><?php wp_list_bookmarks('title_li=&categorize=0'); ?></ul>    
		  </div>
		  <div class="block_bottom"></div>    
        </div>
        
<?php } ?>
        